Bug 462713 - (rubber) Review Request: rubber - An automated system for building LaTeX documents
Review Request: rubber - An automated system for building LaTeX documents
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gedit-latex-plugin
  Show dependency treegraph
 
Reported: 2008-09-18 10:30 EDT by Sergio Pascual
Modified: 2008-09-30 03:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-30 03:31:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2008-09-18 10:30:17 EDT
Spec URL: http://sergiopr.fedorapeople.org/rubber.spec
SRPM URL: http://sergiopr.fedorapeople.org/rubber-1.1-1.fc9.src.rpmhere>
Description: This is a building system for LaTeX documents. It is based on a routine that runs just as many compilations as necessary. The module system provides a great flexibility that virtually allows support for any package with no user intervention, as well as pre- and post-processing of the document. The
standard modules currently provide support for bibtex, dvips, dvipdfm, pdftex,
makeindex. A good number of standard packages are supported, including
graphics/graphicx (with automatic conversion between various formats and
Metapost compilation).
Comment 1 Sergio Pascual 2008-09-26 11:03:36 EDT
SRPM URL: http://sergiopr.fedorapeople.org/rubber-1.1-1.fc9.src.rpm
Comment 2 Orcan Ogetbil 2008-09-28 21:26:18 EDT
Package builds fine 
*but rpmlint gives file-not-utf8 warnings. You can use iconv to get rid of these warnings. 

http://fedoraproject.org/wiki/PackageMaintainers/Common_Rpmlint_Issues#file-not-utf8

Package meets naming, versioning, macro guidelines. 
Summary and description look good.
Copying file says GPLv2 but some of the code files say GPL, so I think GPL+ is fine for the package.
Requirements are proper.
Package installs and runs.
As far as I can tell the package meets the fedora guidelines and can be approved once the UTF8 issue is solved.
Comment 3 Sergio Pascual 2008-09-29 04:03:49 EDT
Thanks for your comments!

New files:
Spec URL: http://sergiopr.fedorapeople.org/rubber.spec
SRPM URL: http://sergiopr.fedorapeople.org/rubber-1.1-2.fc9.src.rpm

These fix the problem with encoding
Comment 4 Orcan Ogetbil 2008-09-29 12:07:49 EDT
Thanks for the update. All requirements are met.

---------------------------------------------------------------------
    This package (rubber) is APPROVED by oget
---------------------------------------------------------------------
Comment 5 Sergio Pascual 2008-09-29 12:58:55 EDT
Ok, thanks

New Package CVS Request
=======================
Package Name: rubber
Short Description: An automated system for building LaTeX documents
Owners: sergiopr
Branches: F-8 F-9
InitialCC:
Comment 6 Huzaifa S. Sidhpurwala 2008-09-30 00:36:40 EDT
cvs done

Note You need to log in before you can comment on or make changes to this bug.